package com.sifang.modules.sunshine.settleSet.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


@Entity
@Table(name = "crm_rewards_punish_way")
public class CrmRewardsPunishWay {

    public String id ;

    private String type;

    private String number;

    private String name;

    private String lowData;

    private String highData;

    private String maxHighData;

    private String ratioData;

    private String maxHighDataRadio;

    private String status;

    private Date lowTime;

    private Date highTime;

    private String settlementNodes;

    private String traderIds;

    private Date updateTime;

    private String updateBy;

    private Long version;

    private Date createTime;

    private String createBy;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getMaxHighDataRadio() {
        return maxHighDataRadio;
    }

    public void setMaxHighDataRadio(String maxHighDataRadio) {
        this.maxHighDataRadio = maxHighDataRadio;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMaxHighData() {
        return maxHighData;
    }

    public void setMaxHighData(String maxHighData) {
        this.maxHighData = maxHighData;
    }

    public String getTraderIds() {
        return traderIds;
    }

    public void setTraderIds(String traderIds) {
        this.traderIds = traderIds;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getLowData() {
        return lowData;
    }

    public void setLowData(String lowData) {
        this.lowData = lowData;
    }

    public String getHighData() {
        return highData;
    }

    public void setHighData(String highData) {
        this.highData = highData;
    }

    public String getRatioData() {
        return ratioData;
    }

    public void setRatioData(String ratioData) {
        this.ratioData = ratioData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getLowTime() {
        return lowTime;
    }

    public void setLowTime(Date lowTime) {
        this.lowTime = lowTime;
    }

    public Date getHighTime() {
        return highTime;
    }

    public void setHighTime(Date highTime) {
        this.highTime = highTime;
    }

    public String getSettlementNodes() {
        return settlementNodes;
    }

    public void setSettlementNodes(String settlementNodes) {
        this.settlementNodes = settlementNodes;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
}
